<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: datatable  ColumnSet   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>DataTable Widget&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_datatable.html">datatable</a>
                 &gt; ColumnSet 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>ColumnSet</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                          - uses 
                            
                                <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>
                            
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        The ColumnSet class defines and manages a DataTable's Columns,
including nested hierarchies and access to individual Column instances.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>ColumnSet</strong>
                                <code>
                                    (
  
                                        
                                                
                                                aHeaders
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>aHeaders
                                                    &lt;Object[]&gt; 
                                                    </code>
                                                      Array of object literals that define header cells.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="_nCount">_nCount</a>
                                        <code>- private static number</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Internal class variable to index multiple data table instances.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="_sName">_sName</a>
                                        <code>- private String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Unique instance name.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="flat">flat</a>
                                        <code>- YAHOO.widget.Column[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Flattened representation of all Columns.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: []
                                    </div>        


                                    <hr />
                                    <h4><a name="headers">headers</a>
                                        <code>- String[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            ID index of nested parent heirarchies for HEADERS accessibility attribute.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: []
                                    </div>        


                                    <hr />
                                    <h4><a name="keys">keys</a>
                                        <code>- YAHOO.widget.Column[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Array of Columns that map one-to-one to a table column.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: []
                                    </div>        


                                    <hr />
                                    <h4><a name="tree">tree</a>
                                        <code>- YAHOO.widget.Column[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Top-down tree representation of Column hierarchy.
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.EventProvider.html#__yui_events">__yui_events</a>,
                                        <a href="YAHOO.util.EventProvider.html#__yui_subscribers">__yui_subscribers</a>
                                </code>
                            </div>
                        </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Public accessor to the unique name of the ColumnSet instance.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd>Unique name of the ColumnSet instance.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>

                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.util.EventProvider.html#createEvent">createEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#fireEvent">fireEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#hasEvent">hasEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#subscribe">subscribe</a>,
                                            <a href="YAHOO.util.EventProvider.html#unsubscribe">unsubscribe</a>,
                                            <a href="YAHOO.util.EventProvider.html#unsubscribeAll">unsubscribeAll</a>
                                    </code>
                                </div>
                            </div>






			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class="selected"><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="Column.html">Column</a></li>
                                <li class=""><a href="ColumnEditor.html">ColumnEditor</a></li>
                                <li class="selected"><a href="ColumnSet.html">ColumnSet</a></li>
                                <li class=""><a href="DataTable.html">DataTable</a></li>
                                <li class=""><a href="Record.html">Record</a></li>
                                <li class=""><a href="RecordSet.html">RecordSet</a></li>
                                <li class=""><a href="Sort.html">Sort</a></li>
                                <li class=""><a href="WidthResizer.html">WidthResizer</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="ColumnSet.js.html">ColumnSet.js</a></li>
                                <li class=""><a href="DataTable.js.html">DataTable.js</a></li>
                                <li class=""><a href="RecordSet.js.html">RecordSet.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#_nCount">_nCount</a>
                                        <!--<code>&lt;YAHOO.widget.Column[]&gt;</code>-->
                                </li>
                                <li><a href="#_sName">_sName</a>
                                        <!--<code>&lt;YAHOO.widget.Column[]&gt;</code>-->
                                </li>
                                <li><a href="#flat">flat</a>
                                        <!--<code>&lt;YAHOO.widget.Column[]&gt;</code>-->
                                </li>
                                <li><a href="#headers">headers</a>
                                        <!--<code>&lt;YAHOO.widget.Column[]&gt;</code>-->
                                </li>
                                <li><a href="#keys">keys</a>
                                        <!--<code>&lt;YAHOO.widget.Column[]&gt;</code>-->
                                </li>
                                <li><a href="#tree">tree</a>
                                        <!--<code>&lt;YAHOO.widget.Column[]&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
